

#ifndef _GRADUTE_H_
#define _GRADUTE_H_

#ifdef HAVE_CONFIG_H
#include <config.h>

#endif

#include <qmessagebox.h>
#include <qlabel.h>
#include <qtimer.h>
#include <qdatetime.h>
#include <qprogressbar.h>
#include <kmainwindow.h>
#include <qpushbutton.h>
#include <qlcdnumber.h>
#include <qtooltip.h>
#include <qfile.h>
#include <qinputdialog.h>

#include "gradutewidget.h"
#include "gradutewidgetbase.h"
#include "cookinggraphic.h"
#include "messages.h"
#include "cookinglog.h"

#define interval 1000  //time interval 시간 간격 1000=1초 

/**
 * @short Application Main Window
 * @author root <root@localhost.localdomain>
 * @version 0.1
 */
class Messages;
class CookingGraphic;
class CookingLog;
class gradute : public KMainWindow
{
    Q_OBJECT
  
 
public:
             
	     QString inputStr,str; //메시지변수,입력 다이얼로그용 변수
  	     QString CooKingName;  //추천요리용 변수 
 	     int i,j,a,b,f,n,k,l,h,v,x; //a,b 문자 확대용변수 나머지는 루프용 
             int c,c1,c2,input,input1,input2; //c 20분용 메시지 출력 변수,c1 5분용 c2 10분용  
	     bool ok;  //input dialog용 변수 
	     int meat,vegetable,fluit;
	      
            QTimer* timer20;  //20분용 도움말용 타이머 
	    QTimer* timer5;   //5분용 도움말용 타이머 
	    QTimer* timer;    //10분용 도움말용 타이머 
            
	    QLabel* target20;  //20분용 도움말용
	    QLabel* current20;  //20분용 초 표시 
	    QLabel* target5;  //5분용 도움말용
	    QLabel* current5;  //5분용 초 표시 
	    QLabel* target;   //10분용 도움말용
	    QLabel* current;  //10분용 초 표시 
	    QLabel* min;   //lcd 분 표시 
	    QLabel* sec[3];
	        
	    QProgressBar* pb20;  //20분용 프로그래스바 
	    QProgressBar* pb5;  //5분용 프로그래스바 
	    QProgressBar* pb; //10분용 프로그래스바 
	    
	    QButton* bt20;  //20분용 시작 버튼용 
	    QPushButton* bt5; //5분용 시작 버튼용 
	    QPushButton* bt;  //10분용 시작 버튼용 
	    
	    QPushButton* Sbt[6]; //레이블,문자크기  확대용
	    QString sb[6];   //메시지 출력
	    
	    QPushButton* RLbt[6]; //20분 페이지 앞으로 넘기기 
	    QString RLb[6];  //메시지 출력
	    
	    QButton* stopbt20;  //20분용 스톱버튼용 
	    QPushButton* stopbt5;  //5분용 스톱버튼용 
	    QPushButton* stopbt;  //10분용 스톱버튼용 
	    
	    QPushButton* reSelect[3];  //재선택 버튼 
	    QString reSelStr[3];
	    
	    QPushButton* aboutbt;  //만든사람소개 
	    QLCDNumber* lcd1;  //오른쪽 맨위 분 표시 
         
	    CookingLog* Log;
	    QInputDialog* id;
	    CookingGraphic* colorChange;
	    Messages* msg;
    /**
     * Default Constructor
     */
    gradute();
     ~gradute();
     
               int inputStuff();
	      void selectCooking(int meatNum);
    	      void selectVegeCooking(int vegNum);
	      void selectFruCooking(int fruitNum);
	      
	      
    private slots:
             int slotTimer20();
	     void slotTimer5();
	     void slotTimer();
	     
	     void slottimerstart20();  //타이머 시작  20분용 
	     void slotTimerstart5();  //타이머 시작  20분용 
	     void slotTimerstart();  //타이머 시작  20분용 
	     
	     void stopslottimerstart20();  //타이머 스톱 20분용 
	     void stopslotTimerstart5(); //타이머 스톱 5분용 
	     void stopslotTimerstart();  //타이머 스톱 10분용 
	     
             void slotaboutbt();  //저자소개 
      
             
	     int slotsbt1();    //20 레이블 확대 
	     void slotsbt2();   //20 레이블 축소 
	     int slotsbt3();    //5 레이블 확대 
	     void slotsbt4();  //5 레이블 축소 
	     int slotsbt5();   //10 레이블 확대 
	     void slotsbt6();  //10 레이블 축소 
	     
	     void slotRLbt1();   //20분 페이지 앞으로 넘기기 
             void slotRLbt2();   //20분 페이지 뒤로  넘기기
	     void slotRLbt3();  //10분 페이지 이동
	     void slotRLbt4();  //10분 페이지 이동
	     void slotRLbt5();  //5분 페이지 이동
	     void slotRLbt6();  //5분 페이지 이동
	     
	     void slotReSelect20(); //요리 재선택 
	     void slotReSelect10();
	     void slotReSelect5();
             
	
	     
    /**
     * Default Destructor
     */
  
};

#endif // _GRADUTE_H_
